<?php

	/**
	* Project:		Distrubution License Class
	* File:			license.lang.php
	*
	* Copyright (C) 2010 Eubie Art Media
	* 
	*/
	
	$LANG['LICENSE_OK']				= "The License Key supplied with this file is valid.";
    $LANG['LICENSE_PENDING']        = "Your Temporary License Key is valid until : <b>{[DATE_END]}</b>."
                                        ."You must respond to the Confirmation Email sent to $acct_email "
                                        ."to finalize the process and convert the temporary key into a non-expiring Permanent Key.";
    $LANG['LICENSE_TRIAL']          = "Your Trial License Key is valid until : <b>{[DATE_END]}</b>.";
    $LANG['LICENSE_TMINUS']			= "The License Key you are using with this application has not yet entered its valid period. The License Key is valid from <b>{[DATE_START]}</b> to <b>{[DATE_END]}</b>.";
	$LANG['LICENSE_EXPIRED']		= "The License Key you are using with this application has {[STATUS]} and is no longer valid. The License Key was valid from <b>{[DATE_START]}</b> to <b>{[DATE_END]}</b>.";
	$LANG['LICENSE_ILLEGAL']		= "The License Key is not valid for this server. This means that you cannot make further use of this application until you purchase a valid key. HOWEVER, if you have purchased a valid key and you get this message in error, please contact the applications reseller.";
	$LANG['LICENSE_ILLEGAL_LOCAL']	= "This application can not be run on the localhost. The application can only be run under a valid domain.";
	$LANG['LICENSE_INVALID']		= "The License Key is invalid. This means that your License Key file has become corrupted. Please replace the file 'license.supplied.dat' with a copy of the original license.";
	$LANG['LICENSE_EMPTY']			= "The License Key is empty. Please make sure that the file 'license.supplied.dat' is writeable by the web server, then copy and paste the key into the box below and click submit.<br /><br /><form action='' method='POST'><textarea id='key' name='key' rows='7' cols='60'></textarea><br /><br /><input type='submit' id='submit' name='submit' value='Submit'></form>";

	$LANG['WRITE_ERROR']			= "<span class='warning'>The License Key was unable to be written! Please make sure that license.supplied.dat is writeable by the web server.</span><br /><br />";
	$LANG['LICENSE_DB_ERROR']		= "WARNING : The database encountered an errror while processing the license request, as a result the request failed. "
                                        . "The mysql error was as follows :<br />"
                                        . wordwrap($results['ERROR'], 130, "<br />");

?>