<?php

if(!class_exists('kswp_pop_wizard_exit_pages')) {
    
    class kswp_pop_wizard_exit_pages {
    
        var $master;
        var $options = array();
    
        function kswp_pop_wizard_exit_pages($masterclass) {
            
            $this->master = $masterclass;
            $this->options = $masterclass->options;
        }

        function popup_page_maint() {
            global $wpdb;
            
            if(isset($_POST['kswp_pop_wizard_popup_pages_save'])) {
                foreach($_POST as $key=>$value) {
                    if(strpos($key, 'kswp_pop_wizard_page_') === 0 && !empty($value)) {
                        $the_key = str_replace('kswp_pop_wizard_page_', '', $key);
                        if($the_key == 'front' || $the_key == 'every') {
                            $the_url = rtrim(get_option('siteurl'), '/');
                        } else {
                            $the_url = get_permalink($the_key);
                        }
                        $parsed_url = parse_url($the_url);
                        
                        $pages_array[$the_key] = array( 'item_id' => $value, 'path'=>$parsed_url['path']);
                    }
                }
                update_option('kswp_pop_wizard_exit_pages', $pages_array);
                
                echo '<div class="updated"><p>Success! Your popup page specifications have been saved.</p></div>';
            }

            $query = "SELECT ID, post_title FROM {$wpdb->posts} WHERE post_status='publish' AND post_type='page' ORDER BY post_title";           
            $pages = $wpdb->get_results( $query );
            
            $query1 = "SELECT item_id, item_name FROM {$wpdb->prefix}kswp_pop_wizard_items WHERE popup_type in ('classic', 'slide') AND show_on_exit = 'yes' ORDER BY item_name";           
            $popups = $wpdb->get_results( $query1 );
            
            $popup_pages = get_option('kswp_pop_wizard_exit_pages');
            
            // print "Post: <pre>" . print_r($_POST, true) . "</pre><br />";
            // print "Pages: <pre>" . print_r($popup_pages, true) . "</pre><br />";
            include_once(KSWPPW_TEMPLATE_DIR . "header.htm");
            include_once(KSWPPW_TEMPLATE_DIR . "popup-pages.htm");
            include_once(KSWPPW_TEMPLATE_DIR . "footer.htm");
        }
    }
}

global $kswp_pop_wizard_var;

if($_GET['page'] == 'kswp_pop_wizard-exit-pages.php') {

    if(isset($kswp_pop_wizard_var)) {
        $popmaint = new kswp_pop_wizard_exit_pages($kswp_pop_wizard_var);
    }

    switch($action) {

        default:
            $popmaint->popup_page_maint();
    }    
}


?>