<?php

class kswppwEditorButton {

	function kswppwEditorButton() {
		global $wp_version;
		// The current version
		define('kswppwEditorButton_VERSION', '1.0.0');
		
		// Check for WP2.6 installation
		if (!defined ('IS_WP26'))
			define('IS_WP26', version_compare($wp_version, '2.6', '>=') );
		
		//This works only in WP2.6 or higher
		if ( IS_WP26 == FALSE) {
			add_action('admin_notices', create_function('', 'echo \'<div id="message" class="error fade"><p><strong>' . __('Sorry, wpPopWizard Editor Button works only under WordPress 2.6 or higher',"cetsHW") . '</strong></p></div>\';'));
			return;
		}
		
		// define URL
		define('kswppwEditorButton_ABSPATH', KSWPPW_PLUGIN_DIR );
		define('kswppwEditorButton_URLPATH', KSWPPW_PLUGIN_URL );
		
		// include_once (dirname (__FILE__)."/lib/shortcodes.php");
		include_once (dirname (__FILE__)."/tinymce/tinymce.php");
	
	}
}
// Start this plugin once all other plugins are fully loaded
add_action( 'plugins_loaded', create_function( '', 'global $kswppwEditorButton; $kswppwEditorButton = new kswppwEditorButton();' ) );

?>