<?php

if(!class_exists('kswp_pop_wizard_exit_cats')) {
    
    class kswp_pop_wizard_exit_cats {
    
        var $master;
        var $options = array();
    
        function kswp_pop_wizard_exit_cats($masterclass) {
            
            $this->master = $masterclass;
            $this->options = $masterclass->options;
        }

        function popup_cat_maint() {
            global $wpdb;
            
            if(isset($_POST['kswp_pop_wizard_popup_cats_save'])) {
                foreach($_POST as $key=>$value) {
                    if(strpos($key, 'kswp_pop_wizard_cat_') === 0 && !empty($value)) {
                        $the_key = str_replace('kswp_pop_wizard_cat_', '', $key);
                        $the_url = get_category_link($the_key);
                        $parsed_url = parse_url($the_url);
                        $cats_array[$the_key] = array( 'item_id' => $value, 'path'=>$parsed_url['path']);
                    }
                }
                update_option('kswp_pop_wizard_exit_cats', $cats_array);
                
                echo '<div class="updated"><p>Success! Your popup category specifications have been saved.</p></div>';
            }

            $query = "SELECT terms.term_id, terms.name "
                    ."  FROM {$wpdb->terms} terms "
                    ."       JOIN {$wpdb->term_taxonomy} tax "
                    ."         ON terms.term_id = tax.term_id "
                    ." WHERE tax.taxonomy = 'category' "
                    ." ORDER BY terms.name ";           
            $categories = $wpdb->get_results( $query );
            
            $query1 = "SELECT item_id, item_name FROM {$wpdb->prefix}kswp_pop_wizard_items WHERE popup_type in ('classic', 'slide') AND show_on_exit = 'yes' ORDER BY item_name";           
            $popups = $wpdb->get_results( $query1 );
            
            $popup_cats = get_option('kswp_pop_wizard_exit_cats');
            
            include_once(KSWPPW_TEMPLATE_DIR . "header.htm");
            include_once(KSWPPW_TEMPLATE_DIR . "popup-cats.htm");
            include_once(KSWPPW_TEMPLATE_DIR . "footer.htm");
        }
    }
}

global $kswp_pop_wizard_var;

if($_GET['page'] == 'kswp_pop_wizard-exit-cats.php') {

    if(isset($kswp_pop_wizard_var)) {
        $popmaint = new kswp_pop_wizard_exit_cats($kswp_pop_wizard_var);
    }

    switch($action) {

        default:
            $popmaint->popup_cat_maint();
    }    
}

?>